%bcond_without gtk4

Summary:   GTK+ 3 support library for colord
Name:      colord-gtk
Version:   0.3.0
Release:   6%{?dist}
License:   LGPLv2+
URL:       http://www.freedesktop.org/software/colord/
Source0:   http://www.freedesktop.org/software/colord/releases/%{name}-%{version}.tar.xz

BuildRequires: meson
BuildRequires: docbook5-style-xsl gettext >= 0.19.8 glib2-devel
BuildRequires: colord-devel >= 0.1.23 lcms2-devel >= 2.2
BuildRequires: gobject-introspection-devel xsltproc
BuildRequires: vala
BuildRequires: gtk3-devel
%if %{with gtk4}
BuildRequires: gtk4-devel
%endif

%description
colord-gtk is a support library for colord and provides additional
functionality that requires GTK+.

%package devel
Summary: Development package for %{name}
Requires: %{name} = %{version}-%{release}

%description devel
Files for development with %{name}.

%if %{with gtk4}
%package -n colord-gtk4
Summary:  GTK 4 support library for colord

%description -n colord-gtk4
colord-gtk is a support library for colord and provides additional
functionality that requires GTK. This package contains the GTK 4
build of colord-gtk.

%package -n colord-gtk4-devel
Summary:  Development package for colord-gtk4
Requires: %{name}-devel = %{version}-%{release}
Requires: colord-gtk4 = %{version}-%{release}

%description -n colord-gtk4-devel
Files for GTK 4 development with %{name}4.
%endif

%prep
%autosetup -p1

%build
%meson \
    -Ddocs=false \
    -Dgtk2=false \
%if %{with gtk4}
    -Dgtk4=true \
%else
    -Dgtk4=false \
%endif
    -Dman=true \
    -Dtests=false \
    -Dvapi=true
%meson_build

%install
%meson_install

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc README AUTHORS NEWS
%{_bindir}/*
%{_libdir}/libcolord-gtk.so.*
%{_libdir}/girepository-1.0/ColordGtk-1.0.typelib
%{_mandir}/man1/*.1*

%files devel
%{_libdir}/libcolord-gtk.so
%{_libdir}/pkgconfig/colord-gtk.pc
%dir %{_includedir}/colord-1
%{_includedir}/colord-1/colord-gtk.h
%dir %{_includedir}/colord-1/colord-gtk
%{_includedir}/colord-1/colord-gtk/*.h
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/ColordGtk-1.0.gir
%{_datadir}/vala/vapi/colord-gtk.vapi
%{_datadir}/vala/vapi/colord-gtk.deps

%if %{with gtk4}
%files -n colord-gtk4
%{_libdir}/libcolord-gtk4.so.*

%files -n colord-gtk4-devel
%{_libdir}/libcolord-gtk4.so
%{_libdir}/pkgconfig/colord-gtk4.pc
%endif


%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.0-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.0-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.0-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.0-3
- Rebuilt for OpenCloudOS Stream 23

* Wed Dec 7 2022 cunshunxia <cunshunxia@tencent.com> - 0.3.0-2
- build with gtk4

* Tue Dec 6 2022 cunshunxia <cunshunxia@tencent.com> - 0.3.0-1
- initial build
